' Return the closest snap point (object snap point only) to the given pixel position on the view
' If no snap point NaN is returned in xyz
' 
'Point3F GetSnapPoint(Point mp, float tolerance)
'

Sub main()

    ' a pixel position on the view ; x=100, y=100
    Dim p As New Point(100, 100)  

    ' a Point3F that will contain the position of the nearest snap point from the given point (with tolerance)
    Dim closest_snap_point As New Point3F

    closest_snap_point = CamBamUI.MainUI.ActiveView.GetSnapPoint(p, 0.01)

    ThisApplication.AddLogMessage("X : " & closest_snap_point.X)
    ThisApplication.AddLogMessage("Y : " & closest_snap_point.Y)
    ThisApplication.AddLogMessage("Z : " & closest_snap_point.Z)
    ThisApplication.AddLogMessage("")

End Sub